Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class DescribeRecordResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.csw.discovery.DescribeRecordResult

All Implemented Interfaces:
  OGCWebServiceResponse

    public class DescribeRecordResult

extends DefaultOGCWebServiceResponse

Class representation of a `DescribeRecordResponse/code>.`

Since:
  2.0
Version:
  $Revision: 18195 $, 2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`DescribeRecordResult(DescribeRecord request, String version, SchemaComponent[] schemaComponents)` Constructs a new `DescribeRecordResponse` instance.

Method Summary
`SchemaComponent[]` | `getSchemaComponents()` The SchemaComponents may contain any content so that schema language descriptions other than XML Schema may be accommodated
`String` | `getVersion()` The version attribute of the `Response`.

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeRecordResult

    public DescribeRecordResult(DescribeRecord request,
                                String version,
                                SchemaComponent[] schemaComponents)

  Constructs a new `DescribeRecordResponse` instance.

  Parameters:
    `request` -
    `version` -
    `schemaComponents` -

Method Detail

### getVersion

    public String getVersion()

  The version attribute of the `Response`.

  Returns:
    the version

### getSchemaComponents

    public SchemaComponent[] getSchemaComponents()

  The SchemaComponents may contain any content so that schema language descriptions other than XML Schema may be accommodated

  Returns:
    the schema components

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org